package humanresource;


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
@Entity
@Table(name="COUNTRY"
	, uniqueConstraints = {  }
)
@SuppressWarnings("serial")
public class CountryNg  implements java.io.Serializable {
	private String countryId;
	private Region region;
	public CountryNg() {
	}
	public CountryNg(String countryId) {
		this.countryId = countryId;
	}
	public CountryNg(String countryId, Region region) {
		this.countryId = countryId;
		this.region = region;
	}
    @Id
    @Column(name="COUNTRY_ID")
	public String getCountryId() {
		return this.countryId;
	}
	public void setCountryId(String countryId) {
		this.countryId = countryId;
	}
	@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="REGION_ID")
	public Region getRegion() {
		return this.region;
	}
	public void setRegion(Region region) {
		this.region = region;
	}
}
